AbstractDependencyReportTask (Gradle API 7.6.3)

Package org.gradle.api.tasks.diagnostics

## Class AbstractDependencyReportTask

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.diagnostics.ConventionReportTask
        - - org.gradle.api.tasks.diagnostics.AbstractProjectBasedReportTask<AbstractDependencyReportTask.DependencyReportModel>
          - - org.gradle.api.tasks.diagnostics.AbstractDependencyReportTask

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `Configurable<Task>`
  Direct Known Subclasses:
    `DependencyReportTask`

      @DisableCachingByDefault(because="Abstract super-class, not to be instantiated directly")
      public abstract class AbstractDependencyReportTask
      extends AbstractProjectBasedReportTask<AbstractDependencyReportTask.DependencyReportModel>

  Displays the dependency tree for a configuration.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AbstractDependencyReportTask.DependencyReportModel` | Report model.

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractDependencyReportTask()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected AbstractDependencyReportTask.DependencyReportModel` | `calculateReportModelFor​(Project project)` |
    `protected void` | `generateReportFor​(org.gradle.api.tasks.diagnostics.internal.ProjectDetails project, AbstractDependencyReportTask.DependencyReportModel model)` |
    `java.util.Set<Configuration>` | `getConfigurations()` | Returns the configurations to generate the report for.
    `org.gradle.api.tasks.diagnostics.internal.ReportRenderer` | `getRenderer()` |
    `abstract ConfigurationContainer` | `getTaskConfigurations()` |
    `void` | `setConfiguration​(java.lang.String configurationName)` | Sets the single configuration (by name) to generate the report for.
    `void` | `setConfigurations​(java.util.Set<Configuration> configurations)` | Sets the configurations to generate the report for.
    `void` | `setRenderer​(org.gradle.api.tasks.diagnostics.internal.DependencyReportRenderer renderer)` | Set the renderer to use to build a report.

    - ### Methods inherited from class org.gradle.api.tasks.diagnostics.ConventionReportTask

      `getClientMetaData, getOutputFile, getProjectReportDirectory, getProjects, getTextOutputFactory, setOutputFile, setProjects`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### AbstractDependencyReportTask

          public AbstractDependencyReportTask()

  - ### Method Detail

    - #### getRenderer

          public org.gradle.api.tasks.diagnostics.internal.ReportRenderer getRenderer()

      Specified by:
        `getRenderer` in class `ConventionReportTask`

    - #### setRenderer

          public void setRenderer​(org.gradle.api.tasks.diagnostics.internal.DependencyReportRenderer renderer)

      Set the renderer to use to build a report. If unset, AsciiGraphRenderer will be used.

    - #### calculateReportModelFor

          protected AbstractDependencyReportTask.DependencyReportModel calculateReportModelFor​(Project project)

      Specified by:
        `calculateReportModelFor` in class `AbstractProjectBasedReportTask<AbstractDependencyReportTask.DependencyReportModel>`

    - #### generateReportFor

          protected void generateReportFor​(org.gradle.api.tasks.diagnostics.internal.ProjectDetails project,
                                           AbstractDependencyReportTask.DependencyReportModel model)

      Specified by:
        `generateReportFor` in class `AbstractProjectBasedReportTask<AbstractDependencyReportTask.DependencyReportModel>`

    - #### getConfigurations

          @Internal
          public java.util.Set<Configuration> getConfigurations()

      Returns the configurations to generate the report for. Defaults to all configurations of this task's containing project.
      Returns:
        the configurations.

    - #### setConfigurations

          public void setConfigurations​(java.util.Set<Configuration> configurations)

      Sets the configurations to generate the report for.
      Parameters:
        `configurations` - The configuration. Must not be null.

    - #### setConfiguration

          public void setConfiguration​(java.lang.String configurationName)

      Sets the single configuration (by name) to generate the report for.
      Parameters:
        `configurationName` - name of the configuration to generate the report for

    - #### getTaskConfigurations

          @Internal
          public abstract ConfigurationContainer getTaskConfigurations()